> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Update workspace file or folder metadata

PUT https://demo.docusign.net/restapi/v2/accounts/{accountId}/workspaces/{workspaceId}/folders/{folderId}/files/{fileId}

Updates workspace item metadata for one or more specific files/folders.

Reference: https://developers.docusign.com/docs/esign-rest-api/v2/reference/workspaces/workspaceitems/updatefile

## Authentication

- `Authorization` header (required) — OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer \<token>.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account id GUID.
- `fileId` (string, required) — Specifies the room file ID GUID.
- `folderId` (string, required) — The ID of the folder being accessed.
- `workspaceId` (string, required) — Specifies the workspace ID GUID.

## Response

### 200

Successful response.

- `callerAuthorization` (workspaceUserAuthorization, optional) — Provides properties that describe user authorization to a workspace.
- `contentType` (string, optional)
- `created` (string, optional) — The UTC DateTime when the workspace user authorization was created.
- `createdById` (string, optional)
- `createdByInformation` (workspaceUser, optional) — A workspaceUser representing the user. This property is only returned in response to user specific GET call.
- `extension` (string, optional)
- `fileSize` (string, optional)
- `fileUri` (string, optional)
- `id` (string, optional)
- `isPublic` (string, optional) — If true, this supersedes need for bit mask permission with workspaceUserAuthorization
- `lastModified` (string, optional) — Utc date and time the comment was last updated (can only be done by creator.)
- `lastModifiedById` (string, optional)
- `lastModifiedByInformation` (workspaceUser, optional) — A workspaceUser representing the user. This property is only returned in response to user specific GET call.
- `name` (string, optional)
- `pageCount` (string, optional)
- `parentFolderId` (string, optional)
- `parentFolderUri` (string, optional)
- `type` (string, optional) — Type of the user. Valid values: type_owner, type_participant.
- `uri` (string, optional)

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Types

### workspaceUserAuthorization

Provides properties that describe user authorization to a workspace.

- `canDelete` (string, optional)
- `canMove` (string, optional)
- `canTransact` (string, optional)
- `canView` (string, optional)
- `created` (string, optional) — The UTC DateTime when the workspace user authorization was created.
- `createdById` (string, optional)
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `modified` (string, optional)
- `modifiedById` (string, optional)
- `workspaceUserId` (string, optional)
- `workspaceUserInformation` (workspaceUser, optional) — A workspaceUser representing the user. This property is only returned in response to user specific GET call.

### workspaceUser

A workspaceUser representing the user. This property is only returned in response to user specific GET call.

- `accountId` (string, optional) — The account ID associated with the envelope.
- `accountName` (string, optional) — The name of the account that the workspace user belongs to.
- `activeSince` (string, optional)
- `created` (string, optional) — The UTC DateTime when the workspace user was created.
- `createdById` (string, optional)
- `email` (string, optional)
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `lastModified` (string, optional) — Utc date and time the comment was last updated (can only be done by creator.)
- `lastModifiedById` (string, optional)
- `status` (string, optional) — Filters the results by user status. You can specify a comma-separated list of the following statuses: * ActivationRequired * ActivationSent * Active * Closed * Disabled
- `type` (string, optional) — Type of the user. Valid values: type_owner, type_participant.
- `userId` (string, optional) — The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. **Note**: For the [GET /v2/accounts/\{accountId}/envelopes](https://developers.docusign.com/esign-rest-api/reference/Envelopes/Envelopes/listStatusChanges/#envelopesInformation) method, the `user_id` query parameter is not implemented and should not be used.
- `userName` (string, optional)
- `workspaceId` (string, optional) — Specifies the workspace ID GUID.
- `workspaceUserBaseUrl` (string, optional) — The relative URI that may be used to access a workspace user.
- `workspaceUserId` (string, optional)

### errorDetails

This object describes errors that occur. It is only valid for responses, and ignored in requests.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Examples

**Response**

```json
{
  "callerAuthorization": {
    "canDelete": "string",
    "canMove": "string",
    "canTransact": "string",
    "canView": "string",
    "created": "string",
    "createdById": "string",
    "errorDetails": {
      "errorCode": "string",
      "message": "string"
    },
    "modified": "string",
    "modifiedById": "string",
    "workspaceUserId": "string",
    "workspaceUserInformation": {
      "accountId": "string",
      "accountName": "string",
      "activeSince": "string",
      "created": "string",
      "createdById": "string",
      "email": "string",
      "errorDetails": {
        "errorCode": "string",
        "message": "string"
      },
      "lastModified": "string",
      "lastModifiedById": "string",
      "status": "string",
      "type": "string",
      "userId": "string",
      "userName": "string",
      "workspaceId": "string",
      "workspaceUserBaseUrl": "string",
      "workspaceUserId": "string"
    }
  },
  "contentType": "string",
  "created": "string",
  "createdById": "string",
  "createdByInformation": {
    "accountId": "string",
    "accountName": "string",
    "activeSince": "string",
    "created": "string",
    "createdById": "string",
    "email": "string",
    "errorDetails": {
      "errorCode": "string",
      "message": "string"
    },
    "lastModified": "string",
    "lastModifiedById": "string",
    "status": "string",
    "type": "string",
    "userId": "string",
    "userName": "string",
    "workspaceId": "string",
    "workspaceUserBaseUrl": "string",
    "workspaceUserId": "string"
  },
  "extension": "string",
  "fileSize": "string",
  "fileUri": "string",
  "id": "string",
  "isPublic": "string",
  "lastModified": "string",
  "lastModifiedById": "string",
  "lastModifiedByInformation": {
    "accountId": "string",
    "accountName": "string",
    "activeSince": "string",
    "created": "string",
    "createdById": "string",
    "email": "string",
    "errorDetails": {
      "errorCode": "string",
      "message": "string"
    },
    "lastModified": "string",
    "lastModifiedById": "string",
    "status": "string",
    "type": "string",
    "userId": "string",
    "userName": "string",
    "workspaceId": "string",
    "workspaceUserBaseUrl": "string",
    "workspaceUserId": "string"
  },
  "name": "string",
  "pageCount": "string",
  "parentFolderId": "string",
  "parentFolderUri": "string",
  "type": "string",
  "uri": "string"
}
```